{% comment %}
Copyright 2017 Mattia Basaglia

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
{% endcomment %}
{% comment %}
Renders the formset delete attribute

Context variables:
    * form      The form object from the formset
    * parent_id The id of the element to be hidden
    * toggle_id (optional) The ID of an element to be unhidden when clicked

{% endcomment %}
<input type="hidden" name="{{ form.DELETE.html_name }}" value="{{ form.DELETE.value }}" id="{{ form.DELETE.id_for_label }}" />
<button type="button" data-type="delete" data-target="{{ parent_id }}" data-input="{{ form.DELETE.id_for_label }}"
{% if toggle_id %}data-toggle="{{ toggle_id }}"{% endif %}>Delete</button>
